Subject: Re: [PATCH v5 2/8] clk: tegra: Export functions for EMC clock scaling

From: Thierry Reding <[email-masked]>
Date: Tue, 10 Mar 2020 18:08:32 +0100

On Tue, Mar 10, 2020 at 07:16:15PM +0300, Dmitry Osipenko wrote:
> 10.03.2020 19:13, Dmitry Osipenko пишет:
> > 10.03.2020 18:19, Thierry Reding пишет:
> >> From: Joseph Lo <[email-masked]>
> >>
> >> Export functions to allow accessing the CAR register required by EMC
> >> clock scaling. These functions will be used to access the CAR register
> >> as part of the scaling sequence.
> >>
> >> Signed-off-by: Joseph Lo <[email-masked]>
> >> Signed-off-by: Thierry Reding <[email-masked]>
> >> ---
> >> Changes in v5:
> >> - remove tegra210_clk_emc_update_setting() which is no longer needed
> >>
> > ...
> >> +EXPORT_SYMBOL_GPL(tegra210_clk_emc_update_setting);
> > ...
> >> +extern void tegra210_clk_emc_dll_enable(bool flag);
> >> +extern void tegra210_clk_emc_dll_update_setting(u32 emc_dll_src_value);
> >> +extern void tegra210_clk_emc_update_setting(u32 emc_src_value);
> > 
> > Why these exports are needed given that the EMC driver is built-in?
> > 
> 
> Also, seems changelog doesn't match the patch itself.

I don't understand. These functions access the EMC clock's registers in
the CAR.

Oh... are you referring to tegra210_clk_emc_update_setting()
specifically? Yes, it looks like I forgot to remove the implementation
for it. I only removed the prototype.

Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel